summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Edward W. Koenig <kingbeowulf@gmail.com>2018-08-27 11:38:57 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-09-01 07:32:17 +0700
commit66aa1e0abd30d8a032649f8c92cc8e9bff6d7274 (patch)
tree6424f5f4b8f5078126ca903e19133ba2e2e74fc0 /academic
parent51f298d2d88423ab55d0c9a13478d43db686a2d9 (diff)
downloadslackbuilds-66aa1e0abd30d8a032649f8c92cc8e9bff6d7274.tar.gz
slackbuilds-66aa1e0abd30d8a032649f8c92cc8e9bff6d7274.tar.xz
academic/Gridcoin-Research: Added (rewards for boinc).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/Gridcoin-Research/Gridcoin-Research.SlackBuild137
-rw-r--r--academic/Gridcoin-Research/Gridcoin-Research.desktop8
-rw-r--r--academic/Gridcoin-Research/Gridcoin-Research.info10
-rw-r--r--academic/Gridcoin-Research/README16
-rw-r--r--academic/Gridcoin-Research/doinst.sh3
-rw-r--r--academic/Gridcoin-Research/gridcoinresearch.conf74
-rw-r--r--academic/Gridcoin-Research/slack-desc19
7 files changed, 267 insertions, 0 deletions
diff --git a/academic/Gridcoin-Research/Gridcoin-Research.SlackBuild b/academic/Gridcoin-Research/Gridcoin-Research.SlackBuild
new file mode 100644
index 0000000000..99240d2aec
--- /dev/null
+++ b/academic/Gridcoin-Research/Gridcoin-Research.SlackBuild
@@ -0,0 +1,137 @@
+#!/bin/sh
+
+# Slackware build script for Gridcoin-Research
+
+# Copyright 2018 Edward W. Koenig, Vancouver, WA, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=Gridcoin-Research
+VERSION=${VERSION:-3.7.15.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+if [ "${QRENC:-no}" = "yes" ]; then
+ useqr="--with-qrencode"
+else
+ useqr="--without-qrencode"
+fi
+
+if [ "${UPNP:-no}" = "yes" ]; then
+ usepnp="--with-miniupnpc"
+else
+ usepnp="--without-miniupnpc"
+fi
+
+./autogen.sh
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --with-gui=auto \
+ $useqr \
+ $usepnp \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# get the man pages
+install -D -m 644 $TMP/$PRGNAM-$VERSION/doc/gridcoinresearch.1 $PKG/usr/man/man1/gridcoinresearch.1
+install -D -m 644 $TMP/$PRGNAM-$VERSION/doc/gridcoinresearchd.1 $PKG/usr/man/man1/gridcoinresearchd.1
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# Add default configuration
+mkdir -p $PKG/etc/$PRGNAM
+cp -a $CWD/gridcoinresearch.conf $PKG/etc/$PRGNAM
+
+mkdir -p $PKG/usr/share/pixmaps $PKG/usr/share/applications
+cp -a $TMP/$PRGNAM-$VERSION/share/pixmaps/* $PKG/usr/share/pixmaps
+cp -a $CWD/Gridcoin-Research.desktop $PKG/usr/share/applications
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/doc
+# we can delete the redundant man pages
+rm -f $PKG/usr/doc/$PRGNAM-$VERSION/gridcoinresearch.*
+rm -f $PKG/usr/doc/$PRGNAM-$VERSION/gridcoinresearchd.*
+cp -a \
+ COPYING CHANGELOG.md README.md VULNERABILITY_RESPONSE_PROCESS.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc/* $PKG/usr/doc/$PRGNAM-$VERSION/doc
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/Gridcoin-Research/Gridcoin-Research.desktop b/academic/Gridcoin-Research/Gridcoin-Research.desktop
new file mode 100644
index 0000000000..53eef199a6
--- /dev/null
+++ b/academic/Gridcoin-Research/Gridcoin-Research.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Type=Application
+Name=Gridcoin
+Exec=gridcoinresearch
+Icon=grc
+Categories=Education;Science;
+Terminal=false
+Hidden=false
diff --git a/academic/Gridcoin-Research/Gridcoin-Research.info b/academic/Gridcoin-Research/Gridcoin-Research.info
new file mode 100644
index 0000000000..6c7bd0b948
--- /dev/null
+++ b/academic/Gridcoin-Research/Gridcoin-Research.info
@@ -0,0 +1,10 @@
+PRGNAM="Gridcoin-Research"
+VERSION="3.7.15.0"
+HOMEPAGE="https://gridcoin.us/"
+DOWNLOAD="https://github.com/gridcoin-community/Gridcoin-Research/archive/3.7.15.0/Gridcoin-Research-3.7.15.0.tar.gz"
+MD5SUM="e53761c36a77d1147580db5a41e81d80"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Edward W. Koenig"
+EMAIL="kingbeowulf@gmail.com"
diff --git a/academic/Gridcoin-Research/README b/academic/Gridcoin-Research/README
new file mode 100644
index 0000000000..ac7e670e22
--- /dev/null
+++ b/academic/Gridcoin-Research/README
@@ -0,0 +1,16 @@
+Gridcoin is an open source cryptocurrency (Ticker: GRC) which securely rewards
+volunteer computing performed on the BOINC platform. BOINC is an open source
+volunteer computing grid which combines the processing power of individual users
+for the purposes of scientific research.
+
+QT5, qrencode and miniupnpc are optional (available on SBo) to build GUI, QR
+and UPnP support. QT5 will be detected automatically, for the others, run
+script as
+
+QRENC=yes ./Gridcoin-Research.SlackBuild
+UPNP=yes ./Gridcoin-Research.SlackBuild
+
+You will need to edit the configuration file gridcoinresearch.conf in
+/etc/Gridcoin-Research/ and place it in your home directory ~/.GridcoinResearch/
+to provide the location of your boinc data and any other configurations that you
+require. For details, see https://wiki.gridcoin.us/Gridcoinresearch_config_file
diff --git a/academic/Gridcoin-Research/doinst.sh b/academic/Gridcoin-Research/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/academic/Gridcoin-Research/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/academic/Gridcoin-Research/gridcoinresearch.conf b/academic/Gridcoin-Research/gridcoinresearch.conf
new file mode 100644
index 0000000000..7ab2e07a3f
--- /dev/null
+++ b/academic/Gridcoin-Research/gridcoinresearch.conf
@@ -0,0 +1,74 @@
+#############################################################################
+#################### Example gridcoinresearch.conf file #####################
+#############################################################################
+##
+## For further details on this configuration file please see:
+## http://wiki.gridcoin.us/Gridcoinresearch_config_file
+##
+## Default gridcoinresearch.conf location:
+##
+## Win: %AppData%\GridcoinResearch\
+## Linux: ~/.GridcoinResearch/
+## MacOS: /Users/USERNAME/Library/Application/Support/GridcoinResearch/
+##
+## Single # lines are commands, remove the # in Front of the Command to use it
+## Double ## lines are comments
+##
+#############################################################################
+####################### Required Settings (All OS's) ########################
+#############################################################################
+
+## Community provided list of addnodes available at
+## http://wiki.gridcoin.us/List_of_Addnodes
+#~~~~~Copy & Paste Addnodes here~~~~~
+
+
+#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+## BOINC account settings, i.e. your BOINC CPID & E-Mail
+## Use INVESTOR for Investor or Pool Mining
+PrimaryCPID=INVESTOR
+email=INVESTOR
+
+## Port 32749/TCP required for Inbound Connections
+## (Not required but highly recommended)
+listen=1
+
+## Required for Headless set-ups
+#daemon=1
+
+## Blocks client from upgrading on its own.
+suppressupgrade=true
+
+#############################################################################
+############# RPC Settings for Remote Access and Headless Users #############
+############ Warning: Set a Good Password and Secure Your System ############
+#############################################################################
+
+#server=1
+#rpcallowip=127.0.0.1
+#rpcallowip=<IP Address of Remote System>
+#rpcport=<Port for RPC Communication>
+#rpcuser=<A Username for RPC>
+#rpcpassword=<A GOOD Password for RPC>
+
+#############################################################################
+######################## Optional BOINC settings ############################
+########### (Required if BOINC installed to non-default location) ###########
+#############################################################################
+
+## Linux
+boincdatadir=$HOME/.boinc_data/
+
+#############################################################################
+######################## Optional Network settings ##########################
+#############################################################################
+
+## Maximum number of inbound+outbound connections.Default 125
+maxconnections=125
+## Maximum number of outbound connections.Default 8
+maxoutboundconnections=8
+## Manually Set-up Ports
+#upnp=false
+#externalip=<Your IP Address>
+#port=32748 \ No newline at end of file
diff --git a/academic/Gridcoin-Research/slack-desc b/academic/Gridcoin-Research/slack-desc
new file mode 100644
index 0000000000..a1018eaa36
--- /dev/null
+++ b/academic/Gridcoin-Research/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+Gridcoin-Research: Gridcoin-Research (Rewarding Volunteer Distributed Computing)
+Gridcoin-Research:
+Gridcoin-Research: Gridcoin is an open source cryptocurrency (Ticker: GRC) which
+Gridcoin-Research: securely rewards volunteer computing performed on the BOINC platform.
+Gridcoin-Research: BOINC is an open source volunteer computing grid which combines the
+Gridcoin-Research: processing power of individual users for the purposes of scientific
+Gridcoin-Research: research.
+Gridcoin-Research:
+Gridcoin-Research: https://gridcoin.us/
+Gridcoin-Research:
+Gridcoin-Research: